Create RFQ Quote
Create a quote for a Block RFQ. For maker use only. The parameter blockRfqId is not from the result of creating RFQ. You can get maker's blockRfqId from maker's websocket or by querying the get_rfqs API.
Endpoint
POST /api/block/rfqs/create_quote
Parameters
| Parameter |
Type |
Required |
Description |
| blockRfqId |
string |
true |
ID of the Block RFQ |
| label |
string |
false |
The user created label for the order |
| executionInstruction |
string |
true |
Execution instruction of the quote |
| legs |
array |
true |
The composite Instrument legs of the Order |
| > instrumentName |
string |
true |
Instrument name |
| > price |
string |
true |
The price of the Instrument leg, denominated in the quoteCurrency of the RFQ |
| > ratio |
string |
true |
Ratio of amount between legs. For normal leg, not null |
| > side |
string |
true |
The direction of the Order |
| hedge |
object |
false |
Hedge leg information |
| > instrumentName |
string |
true |
Instrument name |
| > price |
string |
true |
The price of the Instrument leg, denominated in the quoteCurrency of the RFQ |
| > quantity |
string |
true |
It represents the requested trade size. For perpetual and inverse futures the amount is in USD units. For options and linear futures and it is the underlying base currency coin |
| > side |
string |
true |
The direction of the Order. Valid values include buy, sell |
| quantity |
string |
true |
The size of the Order, denominated in the clearingCurrency of the RFQ. This multiplied by ratio gives the trade size on each leg |
| side |
string |
true |
Direction of trade from the maker perspective |
| price |
string |
false |
Aggregated price used for quoting future spreads |
| expiresAt |
long |
false |
The timestamp when the quote expires (milliseconds since the Unix epoch) |
Request Example
{
"rid": 20002,
"method": "block/rfqs/create_quote",
"params": {
"label": "V2 Integration Test Quote1",
"blockRfqId": "253131",
"quantity": "25.0",
"side": "buy",
"legs": [
{
"instrumentName": "BTC-26JUN26-200000-C",
"price": "0.2",
"ratio": "1",
"side": "buy"
}
],
"hedge": {
"instrumentName": "BTC-PERPETUAL",
"quantity": "14720.0",
"side": "sell",
"price": "121842.0"
},
"executionInstruction": "all_or_none",
"price": "0.2",
"expiresAt": null
}
}
Response
| Name |
Type |
Description |
| quoteId |
string |
ID of the Block RFQ quote |
| blockRfqId |
string |
ID of the Block RFQ |
| label |
string |
The user created label for the order |
| lastUpdatedAt |
long |
Timestamp of the last update of the quote (milliseconds since the UNIX epoch) |
| filledQuantity |
string |
Filled amount of the quote. For perpetual and futures the filledAmount is in USD units, for options - in units or corresponding cryptocurrency contracts, e.g., BTC or ETH |
| executionInstruction |
string |
Execution instruction of the quote |
| createdAt |
long |
The time in UNIX nanoseconds since the epoch when the Order was created |
| quantity |
string |
The total size of the Quote, denominated in the clearingCurrency of the RFQ |
| legs |
array |
The composite Instrument legs of the RFQ |
| > instrumentName |
string |
The exchange instrument name |
| > ratio |
string |
The relative multiplier applied to the quantity of the Instrument's amount relative to the amount of the RFQ. Maximum of 2 decimal places |
| > side |
string |
The direction of the composite leg relative to the RFQ |
| > price |
string |
The price of the Instrument leg, denominated in the quoteCurrency of the RFQ |
| hedge |
object |
Hedge leg information |
| > instrumentName |
string |
Instrument name |
| > price |
string |
The price of the Instrument leg, denominated in the quoteCurrency of the RFQ |
| > quantity |
string |
This value multiplied by the ratio of a leg gives trade size on that leg |
| > side |
string |
The direction of the Order |
| price |
string |
The total strategy price of the Quote, denominated in the quoteCurrency of the RFQ |
| side |
string |
The direction of the Quote |
| status |
string |
The availability of the Quote for the user to action |
| statusReason |
string |
Reason of quote cancellation |
| replaced |
boolean |
true if the quote was edited, otherwise false |
Response Example
{
"rid": 20002,
"result": {
"quoteId": "658917",
"blockRfqId": "253131",
"label": "V2 Integration Test Quote1",
"quantity": "25.0",
"appName": "SignalPlus",
"createdAt": 1755154124404,
"side": "buy",
"executionInstruction": "all_or_none",
"filledQuantity": "0.0",
"hedge": {
"instrumentName": "BTC-PERPETUAL",
"quantity": "14720.0",
"side": "sell",
"price": "121842.0"
},
"lastUpdatedAt": 1755154124404,
"legs": [
{
"instrumentName": "BTC-26JUN26-200000-C",
"ratio": "1",
"side": "buy",
"price": "0.2"
}
],
"price": "0.2",
"status": "open",
"replaced": false
}
}